//
// File:    Logger.java
// Author:  Paul Marlow
// Date:    October 23, 2001
//


import java.io.*;
import java.net.*;
import java.util.LinkedList;


//***************************************************************************
//
//	This is main object class
//
//***************************************************************************
class Logger
{
  //===========================================================================
  // Private members
  private LinkedList logrecords;  // Records to log after game
  private String logfile;  // log filename
  private FileOutputStream outfile = null;

  //===========================================================================
  // Initialization member functions

  //---------------------------------------------------------------------------
  // This constructor opens socket for connection with server
  public Logger(String filename)
  {
    logrecords = new LinkedList();
    try {
      outfile = new FileOutputStream(filename, false);
    }
    catch (Exception e) {
      System.err.println("Error creating file: " + e);
    }

    logfile = filename;
  }
																 
  //---------------------------------------------------------------------------
  // This destructor closes socket to server and client
  public void finalize()
  {
    try {
      outfile.close();
    }
    catch (Exception e) {
      System.err.println("Unable to close log file: " + e);
    }
  }


  //===========================================================================
  // Public member functions

  public synchronized void addRecord(String record)
  {
    if (record != null) {
//      logrecords.addLast(record);
      try {
        outfile.write((record.trim() + '\n').getBytes());
      }
      catch (Exception e) {
        System.err.println("Error writing to file.");
      }
    }
  }

  public synchronized String getFilename()
  {
    return logfile;
  }
}
